<?php

namespace App\Http\Resources\API;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class ApprovalFlowResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @return array<string, mixed>
     */
    public function toArray(Request $request): array
    {
        return [
            'id' => $this->id,
            'name' => $this->name,
            'type' => $this->type,
            'object_type' => $this->object_type,
            'object_id' => $this->object_id,
            'created_at' => (string)$this->created_at,
            'created_by' => new UserProfileResource($this->createdBy),
        ];
    }
}
