<?php
/**
 * Created by IntelliJ IDEA.
 * User: kelyliang
 * Date: 2024/6/11
 * Time: 下午 03:38
 */

namespace App\Http\Resources\API;


use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class ContainerReportResource extends JsonResource
{
    public function toArray(Request $request): array
    {
        return [
            'id' => $this->id,
            'name' => $this->name,
            'type'=>'container',
            'menus_type'=>$this->library->type,
            'created_at' => (string)$this->created_at,
            'updated_at' => (string)$this->updated_at,
        ];
    }

}
