<x-mail::message>
# Task Name: {{ $task->name }}

<x-mail::panel>{{ sprintf("%s %s by %s", data_get($actions, '0.created_at'), data_get($actions, '0.action_label'), data_get($actions, '0.created_by.name')) }}</x-mail::panel>

## Task Status
{{ __(sprintf("model-enums.task.status.%s", $task->status)) }}

@if($task->state)
## State
{{ $task->state }}
@endif

## Assign
{{ $task?->assignTo?->name }}

@if($task->suitability)
## Suitability
{{ $task->suitability }}
@endif

## Note

{{ $task->description }}

<x-email.history :actions="$actions"></x-email.history>

Thanks,<br>
{{ config('app.name') }}
</x-mail::message>
